Page MenuHomePhabricator

Notification stuck in unread state
Closed, ResolvedPublicBug

Description

I am currently unable to mark a specific notification item as read. Clicking the blue dot removes the notification from the list, but a refresh (or clicking on any other page) shows the notification is still there.

Visiting the Special:Notifications page, clicking the blue dot, and reloading the page causes the following API calls:

  • GET https://cs.wiktionary.org/w/api.php?action=query&format=json&meta=unreadnotificationpages&uselang=cs&unpgrouppages=true&unpwikis=*&_=1553094769399
    • {"batchcomplete":"","query":{"unreadnotificationpages":{"cswiktionary":{"pages":[{"ns":828,"title":"Modul:UnitTests","unprefixed":"UnitTests","pages":["Modul:UnitTests","Diskuse k modulu:UnitTests"],"count":1}],"totalCount":0,"source":{"title":"\u010cesk\u00fd Wikislovn\u00edk","url":"https://cs.wiktionary.org/w/api.php","base":"https://cs.wiktionary.org/wiki/$1"}}}}}
  • GET https://cs.wiktionary.org/w/api.php?action=query&format=json&formatversion=2&meta=notifications&notsections=message%7Calert&notformat=model&notlimit=50&notprop=list%7Ccount%7CseenTime&uselang=cs&notcrosswikisummary=1&notfilter=!read&nottitles=&_=1553094769400
    • {"batchcomplete":true,"query":{"notifications":{"list":[{"wiki":"cswiktionary","id":"506192","type":"page-connection","category":"wikibase-action","section":"message","timestamp":{"utciso8601":"2019-03-19T15:30:50Z","utcunix":"1553009450","unix":"1553009450","utcmw":"20190319153050","mw":"20190319163050","date":"Včera"},"title":{"full":"Modul:UnitTests","namespace":"Modul","namespace-key":828,"text":"UnitTests"},"agent":{"id":1108,"name":"JAnDbot"},"targetpages":[],"*":{"header":"Stránka <strong>‪Modul:UnitTests‬</strong> byla propojena s položkou Q62103815 na Wikidatech, ve které lze shromažďovat údaje související s jejím tématem.","compactHeader":"Stránka <strong>‪Modul:UnitTests‬</strong> byla propojena s položkou Q62103815 na Wikidatech, ve které lze shromažďovat údaje související s jejím tématem.","body":"","icon":"page-connection","links":{"primary":{"url":"https://cs.wiktionary.org/wiki/Modul:UnitTests?markasread=506192&markasreadwiki=cswiktionary","label":"Modul:UnitTests"},"secondary":[{"url":"https://cs.wiktionary.org/wiki/U%C5%BEivatel:JAnDbot","label":"‪JAnDbot‬","tooltip":"","description":"","icon":"userAvatar","prioritized":true},{"url":"https://www.wikidata.org/wiki/Special:EntityPage/Q62103815","label":"Zobrazit položku","description":"","icon":"changes","prioritized":true}]},"iconUrl":"/static/images/wikibase/echoIcon.svg"}}],"continue":null,"rawcount":0,"count":"0","seenTime":{"message":"2019-03-20T15:12:48Z","alert":"2019-03-20T15:12:48Z"}}}}
  • GET https://cs.wiktionary.org/w/api.php?action=query&format=json&meta=notifications&notgroupbysection=1&notmessageunreadfirst=1&notlimit=50&notprop=count&uselang=cs&_=1553094769401
    • {"batchcomplete":"","query":{"notifications":{"alert":{"rawcount":0,"count":"0"},"message":{"rawcount":0,"count":"0"},"rawcount":0,"count":"0"}}}
  • POST action=echomarkseen type=all timestampFormat=ISO_8601 token=...
    • {"query":{"echomarkseen":{"result":"success","timestamp":"2019-03-20T15:12:50Z"}}}
  • POST action=echomarkread format=json list=506192 token=...
    • {"query":{"echomarkread":{"result":"success","alert":{"rawcount":0,"count":"0"},"message":{"rawcount":0,"count":"0"},"rawcount":0,"count":"0"}}}
  • GET https://cs.wiktionary.org/w/api.php?action=query&format=json&meta=notifications&notgroupbysection=1&notmessageunreadfirst=1&notlimit=50&notprop=count&uselang=cs&notcrosswikisummary=1&_=1553094769402
    • {"batchcomplete":"","query":{"notifications":{"alert":{"rawcount":0,"count":"0"},"message":{"rawcount":0,"count":"0"},"rawcount":0,"count":"0"}}}
  • page reload
  • GET https://cs.wiktionary.org/w/api.php?action=query&format=json&meta=unreadnotificationpages&uselang=cs&unpgrouppages=true&unpwikis=*&_=1553094844178
    • {"batchcomplete":"","query":{"unreadnotificationpages":{"cswiktionary":{"pages":[{"ns":828,"title":"Modul:UnitTests","unprefixed":"UnitTests","pages":["Modul:UnitTests","Diskuse k modulu:UnitTests"],"count":1}],"totalCount":0,"source":{"title":"\u010cesk\u00fd Wikislovn\u00edk","url":"https://cs.wiktionary.org/w/api.php","base":"https://cs.wiktionary.org/wiki/$1"}}}}}
  • ...

Is there anything I could do to fix that stuck notification?

Event Timeline

Mormegil created this task.Mar 20 2019, 3:37 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptMar 20 2019, 3:37 PM
Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald Transcript

@Mormegil, This looks like same issue with T217522?

Mormegil closed this task as Resolved.Mar 20 2019, 8:17 PM
Mormegil claimed this task.

@Ammarpad, no, I don’t think so. That task shows a screenshot with a mismatch of the displayed badge and the detail. That works fine for me. My problem is that the mark-as-read is ignored, and the notification still shows as a new one.

But… well… it started to work now, just as I wanted to add a screenshot. After trying to mark the notification as read many times yesterday and today, I reported the bug. After I reported the bug, it started to work. Never mind. :-)